Package org.eclipse.net4j.util.collection

# Class AbstractFilteredIterator.Predicated<T>

java.lang.Object
org.eclipse.net4j.util.collection.AbstractIterator<T>
org.eclipse.net4j.util.collection.AbstractFilteredIterator<T>
org.eclipse.net4j.util.collection.AbstractFilteredIterator.Predicated<T>

All Implemented Interfaces:
  `Iterator<T>`

Enclosing class:
  AbstractFilteredIterator<T>

public static class AbstractFilteredIterator.Predicated<T> extends AbstractFilteredIterator<T>

Since:
  3.10
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.collection.AbstractFilteredIterator

`AbstractFilteredIterator.Predicated<T>`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.collection.AbstractIterator

`END_OF_DATA`

## Constructor Summary

Constructors
Constructor
Description
`Predicated(Predicate<? super T> predicate, Iterator<T> delegate)`
`Predicated(Iterator<T> delegate, Predicate<? super T> predicate)`

## Method Summary

Modifier and Type
Method
Description
`Predicate<? super T>`
`getPredicate()`
`protected boolean`
`isValid(T element)`

### Methods inherited from class org.eclipse.net4j.util.collection.AbstractFilteredIterator

`computeNextElement, remove`

### Methods inherited from class org.eclipse.net4j.util.collection.AbstractIterator

`empty, hasNext, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### Predicated

public Predicated(Iterator<T> delegate, Predicate<? super T> predicate)

### Predicated

public Predicated(Predicate<? super T> predicate, Iterator<T> delegate)

## Method Details

### getPredicate

public Predicate<? super T> getPredicate()

### isValid

protected boolean isValid(T element)

Specified by:
  `isValid` in class `AbstractFilteredIterator<T>`